import { SwatchEntry, SwatchSchemeSetting } from 'color-module';

export type SwatchScheme = {
  light: Record<string, string[]>;
  dark: Record<string, string[]>;
};

export type QSwatchEntry = {
  [P in keyof SwatchEntry]: SwatchEntry[P];
};
export type QSwatchSchemeSetting = {
  [P in keyof SwatchSchemeSetting]: SwatchSchemeSetting[P];
};

export type SwatchSchemeSource = {
  colors: QSwatchEntry[];
  setting: QSwatchSchemeSetting | null;
};

export type SwatchSchemeStorage = {
  source?: SwatchSchemeSource;
  scheme?: SwatchScheme;
  cssVariables?: string;
  scssVariables?: string;
  jsVariables?: string;
};
